@using Newtonsoft.Json
@using System.Net
@using System.Timers
@inject HttpClient Http
@inject NavigationManager NavManager
@inject IMatToaster Toaster
@inject GlobalAppState GlobalAppState
@implements IDisposable
@page "/setup"

<h1>Setup</h1>
<FIOWeb.Components.LoadingWrapper>
    <div>
        @if(StepCurrent < 3)
        {
            <Steps ShowProgressDot Direction="vertical" Current="@StepCurrent">
                <Step Status="@LoginStatus" Title="Login here"  Description="Log into FIOWeb with your credentials (upper-left)."/>
                <Step Status="@RefreshApexStatus" Title="Log into FIOExtension and Refresh APEX"  Description="Click the FIOExtension icon in your browser and login.  It will be located in the top-right corner. You might have to click the puzzle icon. After doing so, refresh APEX."/>
                <Step Status="@OpenAllBasesStatus" Title="Open all bases in APEX"  Description="In APEX, click on BS and then click the 'View Base' button for each planet. FIOExtension will brighten when transmitting data."/>
                <Step Status="@DoneStatus" Title="Done!" Description="Finished!"/>
            </Steps>

            <br/>
            <em>Note: If you have no bases present, setup will not function correctly. In that scenario, you can just browse away from this page.</em>
            <br/>

            @if(RefreshApexStatus == "finish")
            {
                <p><b>Total Bases:</b> @SitesCount</p>
                <p><b>Worker Data:</b> @WorkforcesCount</p>
            }
        }
        else
        {
            <Result Status="success" Title="Successfully set up FIO!" SubTitle="You'll be redirected.  You don't have to worry about FIOExtension any longer.  Just leave it running."/>
        }
    </div>
</FIOWeb.Components.LoadingWrapper>
